// Package v11 provides migration for mongo repository
package v11

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up set TENANT_INSURANCE role type in CONTENTS_INSURANCE service
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	_, err := col.UpdateOne(ctx, bson.M{"type": 19}, bson.M{
		"$set": bson.M{
			"role": 6,
		},
	})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
