# Mashroom Extras

The Extras service is intended to store paid services (service products) provided by the Mashroom platform.

## GRPC API

Method | Scope | Description
-|-|-
`Add` | | Creates a new service product
`Update` | | Updates an existing service product
`Get` | | Finds and returns an existing service product by ID
`List` | | Returns a list of service products with the specified role
`ListWithPrice` | | Same as `List`
`Delete` | | Destroys an existing service product
`Search` | | Returns a filtered list of service products (with pagination)
`GetByCode` | | Finds and returns an existing service product by service code

(TODO: a more detailed description of the methods is needed)

## GRPC coupling

Service | Use
-|-
Property | Property (real estate) store (only getting data)
Offer | Offers store (only getting data)

## Databases

DBMS | Extensions
-|-
MongoDB | none
  
Access abstraction: "DAL/Repository pattern".

Migrations: versioned migrations (hardcoded, not embedded) are applied at the service startup.

