package extras

// AttributeCode ...
type AttributeCode string

// String representation
func (c AttributeCode) String() string {
	return string(c)
}

// Attribute constants
const (
	AttributeVibrant                AttributeCode = "vibrant"
	AttributeDocumentType           AttributeCode = "document_type"
	AttributeDocumentValidityMonths AttributeCode = "document_validity_months"
)
